ActionManagerEJBImpl (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.events.server.session.ActionManagerEJBImpl class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.events.server.session
Class ActionManagerEJBImpl

    java.lang.Object
      org.hyperic.hq.events.server.session.ActionManagerEJBImpl

All Implemented Interfaces:
  java.io.Serializable, javax.ejb.EnterpriseBean, javax.ejb.SessionBean

    public class ActionManagerEJBImpl

extends java.lang.Object
implements javax.ejb.SessionBean

The action manager.

See Also:
  Serialized Form

Constructor Summary
`ActionManagerEJBImpl()`

Method Summary
`Action` | `createAction(ActionConfigInterface cfg)` Create a free-standing action.
`Action` | `createAction(AlertDefinition def, java.lang.String className, ConfigResponse config, Action parent)` Create a new action
`Action` | `createAction(org.json.JSONObject json)` Create a free-standing action.
`void` | `ejbActivate()`
`void` | `ejbCreate()`
`void` | `ejbPassivate()`
`void` | `ejbRemove()`
`java.util.List` | `getActionsForAlert(int alertId)` Get all the actions for a given alert
`static org.hyperic.hq.events.shared.ActionManagerLocal` | `getOne()`
`void` | `markActionDeleted(Action a)` Mark a free-standing action as deleted.
`void` | `setSessionContext(javax.ejb.SessionContext ctx)`
`Action` | `updateAction(ActionValue val)` Update an action

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActionManagerEJBImpl

    public ActionManagerEJBImpl()

Method Detail

### getActionsForAlert

    public java.util.List getActionsForAlert(int alertId)

  Get all the actions for a given alert

  Returns:
    a collection of `ActionValue`s

### createAction

    public Action createAction(AlertDefinition def,
                               java.lang.String className,
                               ConfigResponse config,
                               Action parent)
                        throws EncodingException

  Create a new action

  Throws:
    `EncodingException`

### updateAction

    public Action updateAction(ActionValue val)

  Update an action

### createAction

    public Action createAction(org.json.JSONObject json)
                        throws org.json.JSONException

  Create a free-standing action. These are linked to from things like escalations actions. XXX: This should really be removed -- the JSON object sucks.

  Throws:
    `org.json.JSONException`

### createAction

    public Action createAction(ActionConfigInterface cfg)

  Create a free-standing action. These are linked to from things like escalations actions.

### markActionDeleted

    public void markActionDeleted(Action a)

  Mark a free-standing action as deleted. These actions will later be deleted by a cleanup thread.

### getOne

    public static org.hyperic.hq.events.shared.ActionManagerLocal getOne()

### ejbCreate

    public void ejbCreate()

### ejbRemove

    public void ejbRemove()

  Specified by:
    `ejbRemove` in interface `javax.ejb.SessionBean`

### ejbActivate

    public void ejbActivate()

  Specified by:
    `ejbActivate` in interface `javax.ejb.SessionBean`

### ejbPassivate

    public void ejbPassivate()

  Specified by:
    `ejbPassivate` in interface `javax.ejb.SessionBean`

### setSessionContext

    public void setSessionContext(javax.ejb.SessionContext ctx)

  Specified by:
    `setSessionContext` in interface `javax.ejb.SessionBean`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.